Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## josx.rcxcomm
Class RCXLNPAddressingPort

    java.lang.Object
      josx.rcxcomm.RCXAbstractPort
          josx.rcxcomm.RCXLNPAddressingPort

    public class RCXLNPAddressingPort

extends RCXAbstractPort

RCXLNPAddressingPort provides an interface similar to java.net.Socket Adapted from original code created by the LEGO3 Team at DTU-IAU This version of RCXPort supports the Lego Network protocol (LNP) addressing layer. This supports point-to-point connections. A single byte (for each) specifies the source and destination. Usually the most significant 4-bites specifies the host, and the least significant 4 bits specifies the port. This version only supports a single active port per host. You can use this port for point-to-point communication between specific RCXs, or between a PC and a specific RCX. The LNP Integrity layer is used to ensures that packets are not corrupted, but they are not guarnteed to get through. A three layer protocol stack is used. consising of LNPAdressingHandler, LNPIntegrityHandler and LNPHandler.

Author:
  Brian Bagnall, Lawrie Griffiths

Field Summary

Fields inherited from class josx.rcxcomm.RCXAbstractPort
`packetHandler`

Constructor Summary
`RCXLNPAddressingPort(byte source, byte dest)`

Method Summary

Methods inherited from class josx.rcxcomm.RCXAbstractPort
`close, getInputStream, getOutputStream, getTimeOut, reset, setTimeOut`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Constructor Detail

### RCXLNPAddressingPort

    public RCXLNPAddressingPort(byte source,
                                byte dest)
                         throws IOException

Throws:
  `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD